ezmlm-return(1)

NAME
ezmlm-return - handle mailing list bounces

SYNOPSIS
ezmlm-return [ -dD ] dir

DESCRIPTION
ezmlm-return handles bounces for the mailing list stored in dir and, if it exists, the associated digest list. ezmlm-return is normally invoked from a .qmail file. It reads a mail message from its standard input, and a mail envelope from the SENDER, LOCAL, and HOST environment variables. ezmlm-return exits 99, not 0, upon success.

OPTIONS

-d  ezmlm-return will assume the bounce is for a digest list. Normally, ezmlm-return will autodetect this from the bounce address. Autodetection makes ezmlm-return less flexible and will be removed in future versions.

-D  ezmlm-return will assume that the bounce is for a normal (non-digest) list. Normally, ezmlm-return will autodetect this from the bounce address. Autodetection makes ezmlm-return less flexible and will be removed in future versions. -D will become the default.

ADDRESSES
ezmlm-return handles mail sent to any of the following addresses:

local-return-
    Trash. A help message or subscription acknowledgment bounced.

local-return-msg-box=domain
    Distribution bounce. Message number msg was lost on the way to box@domain.

local-return-msg-
    Pre-VERP distribution bounce, in QSBMF format. Message number msg was lost on the way to one or more addresses; ezmlm-return will parse the bounce to figure out the addresses.

local-return-warn-cookie-box=domain
    Warning bounce. A warning message from ezmlm-warn bounced.

local-return-probe-cookie-box=domain
    Probe bounce. A probe from ezmlm-warn bounced. ezmlm-return will remove box@domain from the mailing list.

local-return-receipt-cookie-fImsg-
    A receipt from the list. This is logged. For SQL supporting lists, cookie is verified and receipt logged only if the cookie is correct. The arrival of the receipt shows that qmail at the sending host is running. For all the above addresses if, local is followed by -digest, bounces are assumed to be from the digest list, and are stored in dir/digest/bounce rather than in dir /bounce .

SEE ALSO
ezmlm-manage(1), ezmlm-make(1), ezmlm-send(1), ezmlm-sub(1), ezmlm-unsub(1), ezmlm-warn(1), ezmlm-weed(1), ezmlm(5), qmail-command(8)